## Class TTemplateControl

Description

TTemplateControl class.

TTemplateControl is the base class for all controls that use templates. By default, a control template is assumed to be in a file under the same directory with the control class file. They have the same file name and different extension name. For template file, the extension name is ".tpl".

- since: 3.0
- version: $Id: TTemplateControl.php 2002 2007-06-13 12:16:39Z knut $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TTemplateControl.php (line 30)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl

Direct descendents

Class | Description
--- | ---
TScaffoldBase | Base class for Active Record scaffold views.
TPage | TPage class
TDataRenderer | TDataRenderer class

Class Constant Summary
EXT_TEMPLATE = '.tpl'
Method Summary
void createChildControls ()
boolean getIsSourceTemplateControl ()
TTemplateControl|null getMaster ()
string getMasterClass ()
ITemplate|null getTemplate ()
string getTemplateDirectory ()
void initRecursive ([TControl $namingContainer = null])
void injectContent (string $id, TContent $content)
ITemplate loadTemplate ()
void registerContent (string $id, TContent $object)
void registerContentPlaceHolder (string $id, TContentPlaceHolder $object)
void setMasterClass (string $value)
void setTemplate (ITemplate $value)
Methods
createChildControls (line 130)

Creates child controls.

This method is overridden to load and instantiate control template. This method should only be used by framework and control developers.

- access: public

void createChildControls ()

Redefinition of:

TControl::createChildControls()
  Creates child controls.

getIsSourceTemplateControl (line 95)

- return: whether this control is a source template control. A source template control loads its template from external storage, such as file, db, rather than from within another template.
- access: public

boolean getIsSourceTemplateControl ()
getMaster (line 191)

- return: master control associated with this control, null if none
- access: public

TTemplateControl|null getMaster ()
getMasterClass (line 175)

- return: master class name (in namespace form)
- access: public

string getMasterClass ()
getTemplate (line 66)

Returns the template object associated with this control object.

- return: the parsed template, null if none
- access: public

ITemplate|null getTemplate ()
getTemplateDirectory (line 106)

- return: the directory containing the template. Empty if no template available.
- access: public

string getTemplateDirectory ()
initRecursive (line 223)

Performs the OnInit step for the control and all its child controls.

This method overrides the parent implementation by ensuring child controls are created first, and if master class is set, master will be applied. Only framework developers should use this method.

- access: protected

void initRecursive ([TControl $namingContainer = null])

- TControl $namingContainer: the naming container control

Redefinition of:

TCompositeControl::initRecursive()
  Performs the OnInit step for the control and all its child controls.

injectContent (line 202)

Injects all content controls (and their children) to the corresponding content placeholders.

This method should only be used by framework and control developers.

- access: public

void injectContent (string $id, TContent $content)

- string $id: ID of the content control
- TContent $content: the content to be injected

loadTemplate (line 118)

Loads the template associated with this control class.

- return: the parsed template structure
- access: protected

ITemplate loadTemplate ()
registerContent (line 150)

Registers a content control.

- access: public

void registerContent (string $id, TContent $object)

- string $id: ID of the content
- TContent $object

registerContentPlaceHolder (line 164)

Registers a content placeholder to this template control.

This method should only be used by framework and control developers.

- access: public

void registerContentPlaceHolder (string $id, TContentPlaceHolder $object)

- string $id: placeholder ID
- TContentPlaceHolder $object: placeholder control

setMasterClass (line 183)

- access: public

void setMasterClass (string $value)

- string $value: master control class name (in namespace form)

setTemplate (line 85)

Sets the parsed template.

Note, the template will be applied to the whole control class. This method should only be used by framework and control developers.

- access: public

void setTemplate (ITemplate $value)

- ITemplate $value: the parsed template

#### Inherited Methods

Inherited From TCompositeControl

> TCompositeControl::initRecursive()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants
EXT_TEMPLATE = '.tpl' (line 35)

template file extension.

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:31 -0400 by phpDocumentor 1.3.0RC4